import { html as h } from "lit";
import { property as p } from "lit/decorators.js";
import { PieIconComponent as f } from "./PieIconComponent.js";
import { safeCustomElement as a } from "@justeattakeaway/pie-webc-core";
var u = Object.defineProperty, m = Object.getOwnPropertyDescriptor, c = (n, t, l, r) => {
  for (var e = r > 1 ? void 0 : r ? m(t, l) : t, i = n.length - 1, o; i >= 0; i--)
    (o = n[i]) && (e = (r ? o(t, l, e) : o(e)) || e);
  return r && e && u(t, l, e), e;
};
let s = class extends f {
  constructor() {
    super(...arguments), this.size = "xs", this.defaultClasses = "c-pieIcon c-pieIcon--fullscreenExit", this.class = "c-pieIcon c-pieIcon--fullscreenExit", this.name = "IconFullscreenExit";
  }
  render() {
    return h`<svg width="${this._svgWidth}" height="${this._svgHeight}" fill="${this.fill}" xmlns="http://www.w3.org/2000/svg" role="presentation" focusable="false" fill="currentColor" viewBox="0 0 16 16" class="c-pieIcon c-pieIcon--fullscreenExit"><path d="M9.619 6.845h3.412V5.532h-1.627l2.485-2.485a.66.66 0 0 0 0-.927.65.65 0 0 0-.464-.193.649.649 0 0 0-.464.193l-2.555 2.555V2.907H9.094V6.32c0 .289.236.525.525.525Z"></path><path d="M2.111 13.547a.66.66 0 0 0 .928 0l2.555-2.555v1.672h1.312V9.25a.527.527 0 0 0-.525-.525H2.97v1.313h1.715L2.102 12.62a.66.66 0 0 0 0 .928h.01Z"></path></svg>`;
  }
};
c([
  p({ type: String, reflect: !0 })
], s.prototype, "size", 2);
c([
  p({ type: String, reflect: !0 })
], s.prototype, "class", 2);
s = c([
  a("icon-fullscreen-exit")
], s);
export {
  s as IconFullscreenExit
};
